Workflow Templates - Task Templates API
Consider using the Task Template Relations API instead.
List all task templates of a workflow template
Section titled “List all task templates of a workflow template”List all task templates of a workflow template with a specific ID.
GET /workflow_templates/:id/task_templatesResponse
Section titled “Response”Status: 200 OK[ { "created_at": "2016-03-14T03:13:46-06:00", "category": "implementation", "sourceID": null, "updated_at": "2016-03-14T03:13:46-06:00", "subject": "Inform Operations that events can be ignored", "id": 40, "impact": "none", "disabled": false }, { "created_at": "2016-03-14T03:13:46-06:00", "category": "approval", "sourceID": null, "updated_at": "2016-03-14T03:13:46-06:00", "subject": "Windows Server service owner approval", "id": 39, "impact": null, "disabled": false }, "..."]The response contains these fields .
Add a task template to a workflow template
Section titled “Add a task template to a workflow template”Add a link between a workflow template with a specific ID and a task template with a specific ID.
POST /workflow_templates/:id/task_templates?task_template_id=:idPOST /workflow_templates/:id/task_templates?task_template_id=:id&phase_name=:nameResponse
Section titled “Response”Status: 200 OK{}Remove a task template from a workflow template
Section titled “Remove a task template from a workflow template”Remove the link between a workflow template with a specific ID and a task template with a specific ID.
DELETE /workflow_templates/:id/task_templates/:task_template_idResponse
Section titled “Response”Status: 204 No ContentRemove all task templates from a workflow template
Section titled “Remove all task templates from a workflow template”Remove all links between a workflow template with a specific ID and its task templates.
DELETE /workflow_templates/:id/task_templatesResponse
Section titled “Response”Status: 204 No Content